package com.build.domain.product;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import com.build.domain.product.composite.ReviewRating;
import com.build.domain.product.specs.ProductSpec;

public class ProductDrop implements Serializable {
	private static final long serialVersionUID = 1L;

	private Integer productCompositeId;
	private String productId;
	private String manufacturer;
	private String title;
	private String image;
	private Map<String, String> imagePaths;
	private Boolean freeShipping;
	private Boolean newProduct;
	private Integer saleId;
	private Double minPrice;
	private Double maxPrice;
	private Integer maxPercentSavings;
	private String series;
	private Integer finishCount;
	private Integer uniqueId;
	private Boolean hasReplacementParts;
	private List<ProductSpec> productSpecs;
	private String status;
	private Boolean squareFootageBased;
	private Boolean hasAddToCartMapBuster;
	private ReviewRating reviewRating;

	public Integer getProductCompositeId() {
		return productCompositeId;
	}

	public void setProductCompositeId(Integer productCompositeId) {
		this.productCompositeId = productCompositeId;
	}

	public String getProductId() {
		return productId;
	}

	public void setProductId(String productId) {
		this.productId = productId;
	}

	public String getManufacturer() {
		return manufacturer;
	}

	public void setManufacturer(String manufacturer) {
		this.manufacturer = manufacturer;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getImage() {
		return image;
	}

	public void setImage(String image) {
		this.image = image;
	}

	public Map<String, String> getImagePaths() {
		return imagePaths;
	}

	public void setImagePaths(Map<String, String> imagePaths) {
		this.imagePaths = imagePaths;
	}

	public Boolean getFreeShipping() {
		return freeShipping;
	}

	public void setFreeShipping(Boolean freeShipping) {
		this.freeShipping = freeShipping;
	}

	public Boolean getNewProduct() {
		return newProduct;
	}

	public void setNewProduct(Boolean newProduct) {
		this.newProduct = newProduct;
	}

	public Integer getSaleId() {
		return saleId;
	}

	public void setSaleId(Integer saleId) {
		this.saleId = saleId;
	}

	public Double getMinPrice() {
		return minPrice;
	}

	public void setMinPrice(Double minPrice) {
		this.minPrice = minPrice;
	}

	public Double getMaxPrice() {
		return maxPrice;
	}

	public void setMaxPrice(Double maxPrice) {
		this.maxPrice = maxPrice;
	}

	public Integer getMaxPercentSavings() {
		return maxPercentSavings;
	}

	public void setMaxPercentSavings(Integer maxPercentSavings) {
		this.maxPercentSavings = maxPercentSavings;
	}

	public String getSeries() {
		return series;
	}

	public void setSeries(String series) {
		this.series = series;
	}

	public Integer getFinishCount() {
		return finishCount;
	}

	public void setFinishCount(Integer finishCount) {
		this.finishCount = finishCount;
	}

	public Integer getUniqueId() {
		return uniqueId;
	}

	public void setUniqueId(Integer uniqueId) {
		this.uniqueId = uniqueId;
	}

	public Boolean getHasReplacementParts() {
		return hasReplacementParts;
	}

	public void setHasReplacementParts(Boolean hasReplacementParts) {
		this.hasReplacementParts = hasReplacementParts;
	}

	public List<ProductSpec> getProductSpecs() {
		return productSpecs;
	}

	public void setProductSpecs(List<ProductSpec> productSpecs) {
		this.productSpecs = productSpecs;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Boolean getSquareFootageBased() {
		return squareFootageBased;
	}

	public void setSquareFootageBased(Boolean squareFootageBased) {
		this.squareFootageBased = squareFootageBased;
	}

	public Boolean getHasAddToCartMapBuster() {
		return hasAddToCartMapBuster;
	}

	public void setHasAddToCartMapBuster(Boolean hasAddToCartMapBuster) {
		this.hasAddToCartMapBuster = hasAddToCartMapBuster;
	}

	public ReviewRating getReviewRating() {
		return reviewRating;
	}

	public void setReviewRating(ReviewRating reviewRating) {
		this.reviewRating = reviewRating;
	}

}
