package com.build.domain.product.composite;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

public class ProductFinishView implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Integer uniqueId;
	private String finish;
	private Double msrp;
	private Double cost;
	private String status;
	private String image;
	private Map<String, String> imagePaths;

	private PricebookCostView pricebookCostView;
	private PricebookCostView mapBusterPricebookCostView;
	private Integer stockCount;
	private String leadTimeText; // site-specific
	private Boolean hideOutOfStockMessage;
	private String shippingMessage; // site-specific
	private ProductSale sale;

	private String sku;

	private List<Ab1953Info> ab1953Info; // site-specific

	private List<Rebate> finishRebates;

	public Integer getUniqueId() {
		return uniqueId;
	}

	public void setUniqueId(Integer uniqueId) {
		this.uniqueId = uniqueId;
	}

	public String getFinish() {
		return finish;
	}

	public void setFinish(String finish) {
		this.finish = finish;
	}

	public Double getMsrp() {
		return msrp;
	}

	public void setMsrp(Double msrp) {
		this.msrp = msrp;
	}

	public Double getCost() {
		return cost;
	}

	public void setCost(Double cost) {
		this.cost = cost;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getImage() {
		return image;
	}

	public void setImage(String image) {
		this.image = image;
	}

	public Map<String, String> getImagePaths() {
		return imagePaths;
	}

	public void setImagePaths(Map<String, String> imagePaths) {
		this.imagePaths = imagePaths;
	}

	public PricebookCostView getPricebookCostView() {
		return pricebookCostView;
	}

	public void setPricebookCostView(PricebookCostView pricebookCostView) {
		this.pricebookCostView = pricebookCostView;
	}

	public PricebookCostView getMapBusterPricebookCostView() {
		return mapBusterPricebookCostView;
	}

	public void setMapBusterPricebookCostView(
			PricebookCostView mapBusterPricebookCostView) {
		this.mapBusterPricebookCostView = mapBusterPricebookCostView;
	}

	public Integer getStockCount() {
		return stockCount;
	}

	public void setStockCount(Integer stockCount) {
		this.stockCount = stockCount;
	}

	public String getLeadTimeText() {
		return leadTimeText;
	}

	public void setLeadTimeText(String leadTimeText) {
		this.leadTimeText = leadTimeText;
	}

	public Boolean getHideOutOfStockMessage() {
		return hideOutOfStockMessage;
	}

	public void setHideOutOfStockMessage(Boolean hideOutOfStockMessage) {
		this.hideOutOfStockMessage = hideOutOfStockMessage;
	}

	public String getShippingMessage() {
		return shippingMessage;
	}

	public void setShippingMessage(String shippingMessage) {
		this.shippingMessage = shippingMessage;
	}

	public ProductSale getSale() {
		return sale;
	}

	public void setSale(ProductSale sale) {
		this.sale = sale;
	}

	public String getSku() {
		return sku;
	}

	public void setSku(String sku) {
		this.sku = sku;
	}

	public List<Ab1953Info> getAb1953Info() {
		return ab1953Info;
	}

	public void setAb1953Info(List<Ab1953Info> ab1953Info) {
		this.ab1953Info = ab1953Info;
	}

	public List<Rebate> getFinishRebates() {
		return finishRebates;
	}

	public void setFinishRebates(List<Rebate> finishRebates) {
		this.finishRebates = finishRebates;
	}

}
