package com.build.domain.product.composite;

import java.io.Serializable;
import java.util.List;

public class SiteSpecificDataWrapper implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private List<RelatedProductView> accessories;
	private List<RelatedProductView> relatedProducts;
	private List<RelatedProductView> replacementProducts;
	private List<RecommendedOption> recommendedOptions;
	private List<Ab1953Info> ab1953InfoList;
	
	public SiteSpecificDataWrapper() {
	}
	
	public SiteSpecificDataWrapper(List<RelatedProductView> accessories,
			List<RelatedProductView> relatedProducts,
			List<RelatedProductView> replacementProducts,
			List<RecommendedOption> recommendedOptions,
			List<Ab1953Info> ab1953InfoList) {
		this.accessories = accessories;
		this.relatedProducts = relatedProducts;
		this.replacementProducts = replacementProducts;
		this.recommendedOptions = recommendedOptions;
		this.ab1953InfoList = ab1953InfoList;
	}

	public List<RelatedProductView> getAccessories() {
		return accessories;
	}

	public void setAccessories(List<RelatedProductView> accessories) {
		this.accessories = accessories;
	}

	public List<RelatedProductView> getRelatedProducts() {
		return relatedProducts;
	}

	public void setRelatedProducts(List<RelatedProductView> relatedProducts) {
		this.relatedProducts = relatedProducts;
	}

	public List<RelatedProductView> getReplacementProducts() {
		return replacementProducts;
	}

	public void setReplacementProducts(List<RelatedProductView> replacementProducts) {
		this.replacementProducts = replacementProducts;
	}

	public List<RecommendedOption> getRecommendedOptions() {
		return recommendedOptions;
	}

	public void setRecommendedOptions(List<RecommendedOption> recommendedOptions) {
		this.recommendedOptions = recommendedOptions;
	}

	public List<Ab1953Info> getAb1953InfoList() {
		return ab1953InfoList;
	}

	public void setAb1953InfoList(List<Ab1953Info> ab1953InfoList) {
		this.ab1953InfoList = ab1953InfoList;
	}
}
