package com.build.web;

import java.io.IOException;
import java.io.InputStream;
import java.io.ObjectInputStream;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.sf.ehcache.Cache;
import net.sf.ehcache.CacheManager;
import net.sf.ehcache.Element;

import com.build.domain.product.composite.ProductComposite;

@WebServlet(urlPatterns = "/productComposite")
public class ProductCompositeServlet extends HttpServlet {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Override
	protected void doGet(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		processRequest(request, response);
	}

	@Override
	protected void doPost(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		processRequest(request, response);
	}

	private static final String key = "KOHLER~K-690";

	private void processRequest(HttpServletRequest request,
			HttpServletResponse response) throws IOException {
		PrintWriter writer = response.getWriter();
		writer.write("<html><head /><body>");
		Cache cache = CacheManager.getInstance().getCache("productComposite");
		Element element = cache.get(key);
		if (element != null && element.getObjectValue() != null) {
			ProductComposite productComposite = (ProductComposite) element
					.getObjectValue();
			writer.write("<h1>Ehcache get successful</h1>");
			writer.write("<p>ProductComposite ID: "
					+ productComposite.getProductCompositeId() + "</p>");
		} else {
			InputStream is = ProductCompositeServlet.class
					.getResourceAsStream("/productComposite_563125.obj");
			ObjectInputStream ois = new ObjectInputStream(is);
			try {
				ProductComposite productComposite = (ProductComposite) ois
						.readObject();
				cache.put(new Element(key, productComposite));
				writer.write("<h1>Ehcache put successful</h1>");
				writer.write("<p>ProductComposite ID: "
						+ productComposite.getProductCompositeId() + "</p>");
			} catch (ClassNotFoundException e) {
				throw new RuntimeException(e);
			}
		}
		writer.write("</body></html>");
		writer.close();
	}
}
